import * as service from '../service/tag';
import { call } from 'redux-saga/effects';

export function* batchAddTagResource(payload) {
  return yield call(service.batchAddTagResource, payload);
}

export function* deleteTagResource(payload) {
  return yield call(service.deleteTagResource, payload);
}

export function* getResourceTagIn(payload) {
  return yield call(service.getResourceTagIn, payload);
}

export function* batchAddTagResourceByTagList(payload) {
  return yield call(service.batchAddTagResourceByTagList, payload);
}

export function* getTagByKeywordAndCreator(payload) {
  return yield call(service.getTagByKeywordAndCreator, payload);
}

export function* getSupportTagForm(payload) {
  return yield call(service.getSupportTagForm, payload);
}

export function* saveTag(payload) {
  return yield call(service.saveTag, payload);
}

export function* getTagIdListByNameList(payload) {
  return yield call(service.getTagIdListByNameList, payload);
}